# UniTAP.dev.ports.pdc_port

class PDC:

Class `PDC` describes capabilities of power delivery controller. Contains following field:

- Power contract control `power_contract_control`, type `PowerContractControlBase`.
- Power Sink `power_sink`, type `PowerSink`.
- Power Source `power_source`, type `PowerSource`.
- DP Alt mode `dp_alt_mode`, type `DpAltMode340`.
- PDC Capabilities `capabilities`, type `PdcCapabilities`.
- BUS electrical status `bus_electrical_status`, type `BusElectricalStatus`.

PDC(port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO)
power_contract_control: UniTAP.dev.ports.modules.pdc.pdc_contract_control.PowerContractControlBase

Returns Power contract control.

###### Returns:

> object of `PowerContractControlBase` type

power_sink: UniTAP.dev.ports.modules.pdc.pdc_power_sink.PowerSink

Returns Power Sink.

###### Returns:

> object of `PowerSink` type

power_source: UniTAP.dev.ports.modules.pdc.pdc_power_source.PowerSource

Returns Power Source.

###### Returns:

> object of `PowerSource` type

dp_alt_mode: UniTAP.dev.ports.modules.pdc.pdc_dp_alt_mode.DpAltMode340

Returns DP Alt mode.

###### Returns:

> object of `DpAltMode340` type

capabilities: UniTAP.dev.ports.modules.pdc.pdc_capabilities.PdcCapabilities

Returns PDC capabilities.

###### Returns:

> object of `PdcCapabilities` type

bus_electrical_status: UniTAP.dev.ports.modules.pdc.pdc_bus_status.BusElectricalStatus

Returns BUS electrical status.

###### Returns:

> object of `BusElectricalStatus` type

class PDC340(PDC):

Class `PDC340` inherited from class `PDC`. Class `PDC340` allows working with overriding PDc controls and power contract control. Also has all the `PDC` functionality.

- Power Contract control `power_contract_control`, type `PowerContractControl340`.
- PDC Controls `controls`, type `PdcControls340`.

PDC340(port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO)
capabilities: UniTAP.dev.ports.modules.pdc.pdc_capabilities.PdcCapabilities340

Returns PDC capabilities.

###### Returns:

> object of `PdcCapabilities340` type

power_contract_control: UniTAP.dev.ports.modules.pdc.pdc_contract_control.PowerContractControl340

Returns Power contract control.

###### Returns:

> object of `PowerContractControl340` type

controls: UniTAP.dev.ports.modules.pdc.pdc_controls.PdcControls340

Returns PDC Controls.

###### Returns:

> object of `PdcControls340` type

##### Inherited Members

PDC
  power_sink
  power_source
  dp_alt_mode
  bus_electrical_status

class PDC424(PDC):

Class `PDC424` inherited from class `PDC`. Class `PDC424` allows working with overriding controls. Also has all the `PDC` functionality.

- PDC Controls `controls`, type `PdcControls340`.

PDC424(port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO)
controls: UniTAP.dev.ports.modules.pdc.pdc_controls.PdcControls424

Returns PDC Controls.

###### Returns:

> object of `PdcControls424` type

##### Inherited Members

PDC
  power_contract_control
  power_sink
  power_source
  dp_alt_mode
  capabilities
  bus_electrical_status

class PDC500(PDC):

Class `PDC500` inherited from class `PDC`. Class `PDC500` allows working with overriding controls and DP Alt mode. Also has all the `PDC` functionality.

- PDC Controls `controls`, type `PdcControls500`.
- DP Alt mode `dp_alt_mode`, type `DpAltMode500`.

PDC500(port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO)
controls: UniTAP.dev.ports.modules.pdc.pdc_controls.PdcControls500

Returns PDC Controls.

###### Returns:

> object of `PdcControls500` type

dp_alt_mode: UniTAP.dev.ports.modules.pdc.pdc_dp_alt_mode.DpAltMode500

Returns DP Alt mode.

###### Returns:

> object of `DpAltMode500` type

##### Inherited Members

PDC
  power_contract_control
  power_sink
  power_source
  capabilities
  bus_electrical_status